[AutoLISP]+ Balloons

Tadinya mo digabung dengan posting sebelumnya tapi karena gagal terus ya kita buat baru saja. Ini coding tambahan untuk menambahkan balloons dimulai dengan nilai terakhir. Misal nilai terakhir 8 maka balloons akan dimulai dari angka 9 dst. Semoga bisa membantu.

; Dibikin Bapaknya Labib 08/07/08
; Menambahakan nilai balloons dengan mengambil nilai terakhir dari balloons
(prompt "\nKetik Nblea&Pilih nilai balloon terakhir")
(defun c:Nblea (/ ent ed item attnamelst val cnt
OldOsn OldEch ss spt val2)
(vl-load-com)

(setq ent (entsel"\nPilih Balloons Terakhir:"))
(setq ed (entget (car ent)))
(foreach item ed
(if (= (car item) 330)
(setq attnamelst (cons (vlax-ename->vla-object (cdr item))
attnamelst))
);if
);foreach

(setq val (vla-getBlockAttributeValue
(vlax-ename->vla-object (car ent))
(vla-get-objectid (nth 0 attnamelst))
));setq

(setq cnt 1
OldOsn (getvar "osmode")
OldEch (getvar "cmdecho")
)
(setvar "osmode" 0)
(setvar "cmdecho" 0)

(while
(if (setq ss (entsel"\nPilih Object Selanjutnya:"))
(progn
(setq spt (cadr ss))
(setq val2 (rtos (+ (atoi val) cnt)))
(command "mleader" spt pause val2 "")
(setq cnt (1+ cnt))
);progn
);if
);while
(setvar "osmode" OldOsn)
(setvar "cmdecho" OldEch)
(princ)
);defun
(princ)







  • yogas

    minta tolong dong.. autocad saya selalu muncul autocad message yg fontnya aneh2 tiap dibuka.. gimana ngilanginnya ya?